#debuginfo not supported with Go
%global debug_package %{nil}
%global package_name helm
%global product_name OpenShift Tools and Services
%global golang_version 1.13
%global helm_version 3.2.3
%global helm_release 4
%global commitid 2160a65177049990d1b76efc67cb1a9fd21909b1
%global source_dir helm-%{commitid}
%global source_tar helm-2160a65177049990d1b76efc67cb1a9fd21909b1.tar.gz

Name:           %{package_name}
Version:        %{helm_version}
Release:        %{helm_release}%{?dist}
Summary:        %{product_name} Helm binary for OpenShift 4.5
License:        ASL 2.0
URL:            https://github.com/redhat-developer/helm/commit/%{commitid}

ExclusiveArch:  x86_64 ppc64le s390x

Source0:        %{source_tar}
BuildRequires:  gcc
BuildRequires:  golang >= %{golang_version}
Provides:       %{package_name}
Obsoletes:      %{package_name}

%description
%{summary}

%package redistributable
Summary:        %{product_name} Helm binaries for Linux, Mac OSX, and Windows
BuildRequires:  gcc
BuildRequires:  golang >= %{golang_version}
Provides:       %{package_name}-redistributable
Obsoletes:      %{package_name}-redistributable

%description redistributable
%{summary}

%prep
%setup -q -n %{source_dir}
mkdir -p %{_builddir}/src/helm.sh
ln -sf $(pwd) %{_builddir}/src/helm.sh/helm

%global make GOPATH=%{_builddir} make -e GOFLAGS="-mod=vendor" VERSION="v%{helm_version}" VERSION_METADATA="%{release}" GIT_COMMIT=%{commitid}

%build
cd %{_builddir}/src/helm.sh/helm
%{make} build-cross

%install
install -d %{buildroot}%{_bindir}
%ifarch x86_64
install -m 0755 %{_builddir}/src/helm.sh/helm/_dist/linux-amd64/helm %{buildroot}%{_bindir}
install -d %{buildroot}%{_datadir}/%{name}-redistributable/{linux,macos,windows,ppc64le,s390x}
install -p -m 0755 %{_builddir}/src/helm.sh/helm/_dist/linux-amd64/helm %{buildroot}%{_datadir}/%{name}-redistributable/linux/helm-linux-amd64
install -p -m 0755 %{_builddir}/src/helm.sh/helm/_dist/darwin-amd64/helm %{buildroot}%{_datadir}/%{name}-redistributable/macos/helm-darwin-amd64
install -p -m 0755 %{_builddir}/src/helm.sh/helm/_dist/windows-amd64/helm.exe %{buildroot}%{_datadir}/%{name}-redistributable/windows/helm-windows-amd64.exe
%endif

%ifarch ppc64le
install -m 0755 %{_builddir}/src/helm.sh/helm/_dist/linux-ppc64le/helm %{buildroot}%{_bindir}
%endif

%ifarch s390x
install -m 0755 %{_builddir}/src/helm.sh/helm/_dist/linux-s390x/helm %{buildroot}%{_bindir}
%endif

%files
%license LICENSE
%{_bindir}/helm

%ifarch x86_64
%files redistributable
%license LICENSE
%dir %{_datadir}/%{name}-redistributable/linux/
%dir %{_datadir}/%{name}-redistributable/macos/
%dir %{_datadir}/%{name}-redistributable/windows/
%dir %{_datadir}/%{name}-redistributable/ppc64le/
%dir %{_datadir}/%{name}-redistributable/s390x/
%{_datadir}/%{name}-redistributable/linux/helm-linux-amd64
%{_datadir}/%{name}-redistributable/macos/helm-darwin-amd64
%{_datadir}/%{name}-redistributable/windows/helm-windows-amd64.exe
%endif

%changelog
